org.apache.flume.channel.jdbc.impl

## Class JdbcTransactionFactory

- java.lang.Object
- - java.lang.ThreadLocal<JdbcTransactionImpl>
  - - org.apache.flume.channel.jdbc.impl.JdbcTransactionFactory

-     public class JdbcTransactionFactory
      extends ThreadLocal<JdbcTransactionImpl>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JdbcTransactionFactory(DataSource dataSource, JdbcChannelProviderImpl providerImpl)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JdbcTransactionImpl` | `initialValue()`

    - ### Methods inherited from class java.lang.ThreadLocal

      `get, remove, set`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JdbcTransactionFactory

          protected JdbcTransactionFactory(DataSource dataSource,
                                JdbcChannelProviderImpl providerImpl)

  - ### Method Detail

    - #### initialValue

          protected JdbcTransactionImpl initialValue()

      Overrides:
        `initialValue` in class `ThreadLocal<JdbcTransactionImpl>`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.